<?php
/*---------------------------------------------------------------*/
/*
    Titre : Renommage de fichiers FTP                                                                                     
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=865
    Date dition     : 14 Fv 2019                                                                                        
*/
/*---------------------------------------------------------------*/

function ftp_ren($host , $user , $passwd , $dir , $ext1 , $ext2 , $port=21){ 
 /* Paramtres : 
  * $host : adresse du serveur FTP 
  * $user : login 
  * $passwd : mot de passe 
  * $dir : repertoire a explorer 
  * $ext1 : extension a rechercher 
  * $ext2 : nouvelle extension 
  * $port : port de connexion (par defaut 21) 
  */ 
  $stream = ftp_connect($host, $port); 
  if (!ftp_login($stream, $user, $passwd)) 
  return FALSE; 
  if (!ftp_chdir($stream, $dir)) 
  return FALSE; 
  ftp_pasv($stream, TRUE); 
  $list = ftp_nlist($stream, '.'); 
  if(is_array($list)) 
  { 
  $ext1 = quotemeta('.'.$ext1); 
  while(list($k, $v) = each($list)) 
  { 
  if (preg_match("/(.+)$ext1$/i", $v, $rad)) 
  ftp_rename($stream, $v, $rad[1].".$ext2"); 
  } 
  } 
  ftp_quit($stream); 
}
 ?>